# This is the NeoMutt Project

## What is NeoMutt?

* NeoMutt is a project of projects.
* A place to gather all the patches against Mutt.
* A place for all the developers to gather.

Hopefully this will build the community and reduce duplicated effort.

NeoMutt was created when Richard Russon (FlatCap) took all the old Mutt patches,
sorted through them, fixed them up and documented them.

## What Features does NeoMutt have?

| Name                 | Description
|----------------------|-------------------------------------------------------
| Attach Headers Color | Color attachment headers using regexp
| Compressed Folders   | Read from/write to compressed mailboxes
| Conditional Dates    | Conditional Date Formatting
| Encrypt-to-Self      | Save an self-encrypted copy of emails
| Fmemopen             | Use fmemopen(3) for speedier temporary files
| Ifdef                | Conditional config options
| Index Color          | Theming of the Index List
| Initials Expando     | Expando for Author's Initials
| Keywords             | Labels/Tagging for emails
| Limit-Current-Thread | Limit Index View to Current Thread
| LMDB                 | LMDB backend for the header cache
| Multiple fcc         | Save multiple copies of outgoing mail
| Nested If            | Allow deeply nested conditionals in format strings
| New Mail Command     | Run a command when new mail arrives
| NNTP                 | Talk to a Usenet news server
| Notmuch              | Powerful email search engine
| Progress Bar         | Colourful Progress Bar
| Quasi-Delete         | Hide emails from view, but don't delete them
| Sensible-Browser     | Make the file browser behave
| Sidebar              | Panel containing list of Mailboxes
| Skip-Quoted          | Skip Quoted Text
| Status Color         | Theming of the Status Bar
| Timeout Hook         | Run a command periodically
| TLS-SNI              | Negotiate with a Server for a Certificate
| Trash Folder         | Automatically move emails to a trash bin

## Contributed Scripts and Config

- Keybase Integration
  Joshua Jordi (JakkinStewart)
- vim-keybindings - Mutt config for vim users
  Ivan Tham (pickfire)

## Where is NeoMutt?

- Source Code:     https://github.com/neomutt/neomutt
- Releases:        https://github.com/neomutt/neomutt/releases/latest
- Questions/Bugs:  https://github.com/neomutt/neomutt/issues
- Website:         http://www.neomutt.org/
- IRC              irc://irc.freenode.net/neomutt
- Development:     http://www.neomutt.org/devel/

## NeoMutt Developers

Here's a list of everyone who's helped NeoMutt:

Alex Pearce, Ander Punnar, Antonio Radici, Baptiste Daroussin, Chris Salzberg,
Christoph Berg, Darshit Shah, David Sterba, Elimar Riesebieter, Evgeni Golov,
Fabian Groffen, Fabio Alessandro Locati, Faidon Liambotis, Guillaume Brogi,
Ivan Tham, Johannes Frankenau, Joshua Jordi, Karel Zak, Kurt Jaeger,
Marco Hinz, Matteo Vescovi, Pierre-Elliott Bécue, Richard Hartmann,
Richard Russon, Santiago Torres, Sven Guckes, Thomas Klausner, Udo Schweigert,
Vsevolod Volkov, Werner Fink, Yoshiki Vázquez Baeza.

## Original Patch Authors

Without the original patch authors, there would be nothing.
So, a Big Thank You to:

Aaron Schrab, Alain Penders, Benjamin Kuperman, Cedric Duval, Chris Mason,
Christian Aichinger, Christoph Berg, Christoph Rissner, David Champion,
David Riebenbauer, David Sterba, David Wilson, Don Zickus, Elimar Riesebieter,
Eric Davis, Evgeni Golov, Fabian Groffen, Felix von Leitner, Jan Synacek,
Jason DeTiberus, Jeremiah Foster, Jeremy Katz, Josh Poimboeuf, Julius Plenz,
Justin Hibbits, Karel Zak, Kirill Shutemov, Luke Macken, Mantas Mikulenas,
Matteo Vescovi, Patrick Brisbin, Paul Miller, Phil Pennock,
Philippe Le Brouster, Richard Russon, Rocco Rutte, Roland Rosenfeld, Sami Farin,
Stefan Assmann, Stefan Kuhn, Steve Kemp, Terry Chan, Thomas Glanzmann,
Thomer Gil, Tim Stoakes, Tyler Earnest, Victor Manuel Jaquez Leal,
Vincent Lefevre, Vladimir Marek, Vsevolod Volkov.

## Original Mutt Authors

And of course, we should thank the original Mutt authors, including the original
author Michael Elkins and all the people that have contributed to Mutt during
its long history, see the Acknowledgements section of the user manual for a
detailed list.

http://www.neomutt.org/manual/miscellany.html#acknowledgements

